Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class SelectExp

    java.lang.Object
      |
      +--com.sun.wbem.query.WQLExp
            |
            +--com.sun.wbem.query.SelectExp

public class SelectExp
extends WQLExp

This class represents all 'select' clauses that are constructed in the WQL.

         select qualifiedAttributeExp where queryExp

Since:
  WBEM 1.0
See Also:
  `CIMClient`, Serialized Form

Constructor Summary
`SelectExp()`
`SelectExp(SelectList attList, FromExp fromExp)` Constructor for select clauses.
`SelectExp(SelectList attList, FromExp fromExp, QueryExp whereClause)` Constructor for select clauses.
`SelectExp(java.lang.String query)` Constructor for select clause.

Method Summary
`FromExp` | `getFromClause()` Returns the fromm clause.
`SelectList` | `getSelectList()` Returns the selectList.
`QueryExp` | `getWhereClause()` Returns the where clause.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectExp

    public SelectExp(java.lang.String query)

  Constructor for select clause. It parses the input WQL query and returns a select expression.
  Parameters:
    `query` - WQL select query string
  Throws:
    java.lang.IllegalArgumentException - if the input query is not well formed. The exception message contains string details of the specific parsing exception.

### SelectExp

    public SelectExp(SelectList attList,
                     FromExp fromExp)

  Constructor for select clauses. Used by the WQL parser to construct select clauses.
  Parameters:
    `attList` - List of attributes which are projected from the returned rows.
    `fromExp` - The from clause which specifies which 'table' the selection is made from. In the WQL mapping, classes are mapped into tables, instances into rows and properties into columns.

### SelectExp

    public SelectExp(SelectList attList,
                     FromExp fromExp,
                     QueryExp whereClause)

  Constructor for select clauses. Used by the WQL parser to construct select clauses.
  Parameters:
    `attList` - List of attributes which are projected from the returned rows.
    `fromExp` - The from clause which specifies which 'table' the selection is made from. In the WQL mapping, classes are mapped into tables, instances into rows and properties into columns.
    `whereClause` - The where clause contains conditional expressions which evaluate to true or false for a given row. Those rows which evaluate to true are selected.

### SelectExp

    public SelectExp()

Method Detail

### getSelectList

    public SelectList getSelectList()

  Returns the selectList.
  Returns:
    SelectList.

### getWhereClause

    public QueryExp getWhereClause()

  Returns the where clause.
  Returns:
    whereClause.

### getFromClause

    public FromExp getFromClause()

  Returns the fromm clause.
  Returns:
    fromClause.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD